libpython2.7-2.7.9-1.mga4.i586.rpm


Advertisement

Description

libpython2.7 - Shared libraries for Python 2.7.9

Property Value
Distribution Mageia 4.1
Repository Mageia Core Updates i586
Package filename libpython2.7-2.7.9-1.mga4.i586.rpm
Package name libpython2.7
Package version 2.7.9
Package release 1.mga4
Package architecture i586
Package type rpm
Category System/Libraries
Homepage http://www.python.org/
License Modified CNRI Open Source License
Maintainer -
Download size 546.31 KB
Installed size 1.59 MB
This packages contains Python shared object library.  Python is an
interpreted, interactive, object-oriented programming language often
compared to Tcl, Perl, Scheme or Java.

Alternatives

Package Version Architecture Repository
libpython2.7-2.7.6-1.3.mga4.i586.rpm 2.7.6 i586 Mageia Core Updates
libpython2.7-2.7.6-1.2.mga4.i586.rpm 2.7.6 i586 Mageia Core Updates
libpython2.7-2.7.6-1.1.mga4.i586.rpm 2.7.6 i586 Mageia Core Updates
libpython2.7-2.7.6-1.mga4.i586.rpm 2.7.6 i586 Mageia Core Updates
libpython2.7-2.7.5-11.mga4.i586.rpm 2.7.5 i586 Mageia Core
libpython2.7 - - -

Requires

Name Value
libc.so.6 -
libc.so.6(GLIBC_2.0) -
libc.so.6(GLIBC_2.1) -
libc.so.6(GLIBC_2.1.3) -
libc.so.6(GLIBC_2.15) -
libc.so.6(GLIBC_2.2) -
libc.so.6(GLIBC_2.3) -
libc.so.6(GLIBC_2.3.4) -
libc.so.6(GLIBC_2.4) -
libc.so.6(GLIBC_2.7) -
libdl.so.2 -
libdl.so.2(GLIBC_2.0) -
libdl.so.2(GLIBC_2.1) -
libm.so.6 -
libm.so.6(GLIBC_2.0) -
libm.so.6(GLIBC_2.1) -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.0) -
libpthread.so.0(GLIBC_2.1) -
libpthread.so.0(GLIBC_2.2) -
libutil.so.1 -
libutil.so.1(GLIBC_2.0) -

Provides

Name Value
libpython2.7 == 2.7.9-1.mga4
libpython2.7(x86-32) == 2.7.9-1.mga4
libpython2.7.so.1.0 -

Download

Type URL
Mirror distrib-coffee.ipsl.jussieu.fr
Binary Package libpython2.7-2.7.9-1.mga4.i586.rpm
Source Package python-2.7.9-1.mga4.src.rpm

Install Howto

  1. Enable Mageia Core Updates repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install libpython2.7 rpm package:
    # urpmi libpython2.7

Files

Path
/usr/lib/libpython2.7.so.1.0

Changelog

2014-12-13 - philippem <philippem> 2.7.9-1.mga4
+ Revision: 802938
- fix test about ssl
- fix security issues CVE-2014-9365 mga#14780
- fix CVE-2014-4650 and CVE-2014-4616 mga#15588)
- added patches for CVE-2013-1752 (mga#12127) issues that are
missing in 2.7.6:
python-2.7.6-imaplib.patch
python-2.7.6-poplib.patch
smtplib_maxline-2.7.patch
- CVE-2013-1753 (mga#13041) gzip decompression bomb in xmlrpc client:
xmlrpc_gzip_27.patch
- update to 2.7.6 with also fix buffer overflow CVE-2014-1912
+ luigiwalser <luigiwalser>
- adapt upstream patch to fix building with newer sqlite3
+ oden <oden>
- P195: security fix for CVE-2014-7185
2013-10-22 - umeabot <umeabot> 2.7.5-11.mga4
+ Revision: 545491
- Mageia 4 Mass Rebuild
2013-10-15 - pterjan <pterjan> 2.7.5-10.mga4
+ Revision: 498057
- Rebuild to add different pythonegg provides for python 2 and 3
2013-09-26 - fwang <fwang> 2.7.5-9.mga4
+ Revision: 486490
- drop conflicts could not be satisfied
2013-09-25 - philippem <philippem> 2.7.5-8.mga4
+ Revision: 486298
+ rebuild (emptylog)
2013-09-25 - fwang <fwang> 2.7.5-7.mga4
+ Revision: 485888
- versioned obsoletes
2013-09-25 - fwang <fwang> 2.7.5-6.mga4
+ Revision: 485866
- add conflicts to ease upgrade
2013-09-24 - philippem <philippem> 2.7.5-5.mga4
+ Revision: 485674
- remove PYTHONDONTWRITEBYTECODE=1 fix mga#3348
- profile.d files as configfile noreplace fix mga#10758
2013-08-12 - oden <oden> 2.7.5-4.mga4
+ Revision: 465654
- P174: security fix for CVE-2013-4073 (upstream)
2013-06-26 - philippem <philippem> 2.7.5-3.mga4
+ Revision: 447236
- Convert inconsistent indentation to spaces only to be in synch with python3 package

See Also

Package Description
libpython3-devel-3.3.2-13.1.mga4.i586.rpm The libraries and header files needed for Python development
libpython3-devel-3.3.2-13.2.mga4.i586.rpm The libraries and header files needed for Python development
libpython3-devel-3.3.2-13.3.mga4.i586.rpm The libraries and header files needed for Python development
libpython3-devel-3.3.2-13.4.mga4.i586.rpm The libraries and header files needed for Python development
libpython3-devel-3.3.2-13.5.mga4.i586.rpm The libraries and header files needed for Python development
libpython3.3-3.3.2-13.1.mga4.i586.rpm Shared libraries for Python 3.3.2
libpython3.3-3.3.2-13.2.mga4.i586.rpm Shared libraries for Python 3.3.2
libpython3.3-3.3.2-13.3.mga4.i586.rpm Shared libraries for Python 3.3.2
libpython3.3-3.3.2-13.4.mga4.i586.rpm Shared libraries for Python 3.3.2
libpython3.3-3.3.2-13.5.mga4.i586.rpm Shared libraries for Python 3.3.2
libqgpgme1-4.12.5-1.mga4.i586.rpm KDE 4 core library
libqmobipocket1-4.12.5-1.mga4.i586.rpm Runtime library for qmobipocket
libqt3-3.3.8b-33.2.mga4.i586.rpm Qt3 - Shared libraries
libqt3-3.3.8b-33.3.mga4.i586.rpm Qt3 - Shared libraries
libqt3-3.3.8b-33.4.mga4.i586.rpm Qt3 - Shared libraries
Advertisement
Advertisement